<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\BomController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\BahanController;
use App\Http\Controllers\ProdukController;
use App\Http\Controllers\VendorController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\CustvoicesController;
use App\Http\Controllers\ManufacturingorderController;
use App\Http\Controllers\RfqController;
use App\Http\Controllers\PurchaseOrderController;
use App\Http\Controllers\SalesController;
use App\Http\Controllers\SalesOrderController;
use App\Http\Controllers\VendbillsController;
use App\Models\SalesOrder;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('/login');
});

Route::middleware(['auth', 'verified'])->group(function () {
    Route::get('dashboard', [AdminController::class, 'index'])->name('dashboard');

    //PUNYA PROFIL
    // Route::get('profile', [AdminController::class,'profile'])->name('admin.profile');
    Route::get('profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
    // Route::get('profile', [ProfileController::class, 'edit'])->name('profile.edit');
    // Route::patch('profile', [ProfileController::class, 'update'])->name('profile.update');
    // Route::delete('profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    //PUNYA PRAKTIKUM
    Route::get('produk', [ProdukController::class, 'index'])->name('adminIndexProduk');
    Route::get('produk/tambah', [ProdukController::class, 'create'])->name('adminCreateProduk');
    Route::post('produk', [ProdukController::class, 'store'])->name('adminStoreProduk');
    Route::delete('roduk/{dataproduk}', [ProdukController::class, 'destroy'])->name('adminDestroyProduk');
    Route::get('produk/{dataproduk}/edit', [ProdukController::class, 'edit'])->name('adminEditProduk');
    // Route::get('Produk/{dataProduk}/edit', 'ProdukController@edit');
    Route::patch('produk/{dataproduk}', [ProdukController::class, 'update'])->name('adminUpdateProduk');
    // Route::patch('/profile/ubah','AdminController@ubahdata')->name('ubahData');

    //PUNYA BAHAN
    Route::get('bahan', [BahanController::class, 'index'])->name('adminIndexBahan');
    Route::get('bahan/tambah', [BahanController::class, 'create'])->name('adminCreateBahan');
    Route::post('bahan', [BahanController::class, 'store'])->name('adminStoreBahan');
    Route::delete('bahan/{databahan}', [BahanController::class, 'destroy'])->name('adminDestroyBahan');
    Route::get('bahan/{databahan}/edit', [BahanController::class, 'edit'])->name('adminEditBahan');
    Route::patch('bahan/{databahan}', [BahanController::class, 'update'])->name('adminUpdateBahan');

    //PUNYA CUSTOMER
    Route::get('customer', [CustomerController::class, 'index'])->name('adminIndexCustomer');
    Route::get('customer/tambah', [CustomerController::class, 'create'])->name('adminCreateCustomer');
    Route::post('customer', [CustomerController::class, 'store'])->name('adminStoreCustomer');
    Route::delete('customer/{datacustomer}', [CustomerController::class, 'destroy'])->name('adminDestroyCustomer');
    Route::get('customer/{datacustomer}/edit', [CustomerController::class, 'edit'])->name('adminEditCustomer');
    Route::patch('customer/{datacustomer}', [CustomerController::class, 'update'])->name('adminUpdateCustomer');

    //PUNYA VENDOR
    Route::get('vendor', [VendorController::class, 'index'])->name('adminIndexVendor');
    Route::get('vendor/tambah', [VendorController::class, 'create'])->name('adminCreateVendor');
    Route::post('vendor', [VendorController::class, 'store'])->name('adminStoreVendor');
    Route::delete('vendor/{datavendor}', [VendorController::class, 'destroy'])->name('adminDestroyVendor');
    Route::get('vendor/{datavendor}/edit', [VendorController::class, 'edit'])->name('adminEditVendor');
    Route::patch('vendor/{datavendor}', [VendorController::class, 'update'])->name('adminUpdateVendor');

    //PUNYA BOM
    Route::get('bom', [BomController::class, 'index'])->name('adminIndexBom');
    Route::get('bom/tambah', [BomController::class, 'create'])->name('adminCreateBom');
    Route::post('bom', [BomController::class, 'store'])->name('adminStoreBom');
    Route::delete('bom/{databom}', [BomController::class, 'destroy'])->name('adminDestroyBom');
    Route::get('bom/{databom}/edit', [BomController::class, 'edit'])->name('adminEditBom');
    Route::patch('bom/{databom}', [BomController::class, 'update'])->name('adminUpdateBom');
    Route::get('bom/{databom}/isi', [BomController::class, 'isi'])->name('adminIsiBom');
    Route::delete('bom/{dataisibom}/isi', [BomController::class, 'destroyisi'])->name('adminDestroyIsiBom');
    Route::post('bomisi', [BomController::class, 'storeisi'])->name('adminStoreIsiBom');

    //PUNYA MANUFACTURING ORDER
    Route::get('manufacturingorder', [ManufacturingorderController::class, 'index'])->name('adminIndexManufacturingorder');
    Route::get('manufacturingorder/tambah', [ManufacturingorderController::class, 'create'])->name('adminCreateManufacturingorder');
    Route::post('manufacturingorder', [ManufacturingorderController::class, 'store'])->name('adminStoreManufacturingorder');
    Route::delete('manufacturingorder/{datamanufacturingorder}', [ManufacturingorderController::class, 'destroy'])->name('adminDestroyManufacturingorder');
    Route::get('manufacturingorder/{datamanufacturingorder}/edit', [ManufacturingorderController::class, 'edit'])->name('adminEditManufacturingorder');
    Route::patch('manufacturingorder/{datamanufacturingorder}', [ManufacturingorderController::class, 'update'])->name('adminUpdateManufacturingorder');
    Route::get('manufacturingorder/{datamanufacturingorder}/isi', [ManufacturingorderController::class, 'isi'])->name('adminIsiManufacturingorder');
    Route::delete('manufacturingorder/{dataisimanufacturingorder}/isi', [ManufacturingorderController::class, 'destroyisi'])->name('adminDestroyIsiManufacturingorder');
    Route::post('manufacturingorderisi', [ManufacturingorderController::class, 'storeisi'])->name('adminStoreIsiManufacturingorder');
    Route::get('manufacturingorder/produce', [ManufacturingorderController::class, 'produce'])->name('adminProduceManufacturingorder');
    Route::get('manufacturingorder/MAD', [ManufacturingorderController::class, 'mad'])->name('adminMadManufacturingorder');

    // SALES
    Route::get('salesquotation', [SalesController::class, 'index'])->name('adminIndexSalesQuotation');
    Route::get('salesquotation/tambah', [SalesController::class, 'create'])->name('adminCreateSalesQuotation');
    Route::post('salesquotation', [SalesController::class, 'store'])->name('adminStoreSalesQuotation');
    Route::delete('salesquotation/{id}', [SalesController::class, 'destroy'])->name('adminDestroySalesQuotation');
    Route::get('salesquotation/{datasales}/edit', [SalesController::class, 'edit'])->name('adminEditSalesQuotation');
    Route::patch('salesquotation/{datasales}', [SalesController::class, 'update'])->name('adminUpdateSalesQuotation');
    Route::get('salesquotation/{sales}/isi', [SalesController::class, 'isi'])->name('adminIsiSalesQuotation');
    Route::delete('salesquotation/{sales}/isi', [SalesController::class, 'destroyisi'])->name('adminDestroyIsiSalesQuotation');
    Route::post('salesquotationisi', [SalesController::class, 'storeisi'])->name('adminStoreIsiSalesQuotation');

    //ROUTE RFQ
    Route::get('rfq', [RfqController::class, 'index'])->name('adminIndexRfq');
    Route::get('rfq/tambah', [RfqController::class, 'create'])->name('adminCreateRfq');
    Route::post('rfq', [RfqController::class, 'store'])->name('adminStoreRfq');
    Route::delete('rfq/{datarfq}', [RfqController::class, 'destroy'])->name('adminDestroyRfq');
    Route::get('rfq/{datarfq}/edit', [RfqController::class, 'edit'])->name('adminEditRfq');
    Route::patch('rfq/{datarfq}', [RfqController::class, 'update'])->name('adminUpdateRfq');
    Route::get('rfq/{datarfq}/isi', [RfqController::class, 'isi'])->name('adminIsiRfq');
    Route::delete('rfq/{dataisirfq}/isi', [RfqController::class, 'destroyisi'])->name('adminDestroyIsiRfq');
    Route::post('rfqisi', [RfqController::class, 'storeisi'])->name('adminStoreIsiRfq');
    Route::get('rfq/checkout', [RfqController::class, 'checkout'])->name('adminCheckoutRfq');

    //ROUTE PO
    Route::get('po', [PurchaseOrderController::class, 'index'])->name('adminIndexPo');
    Route::delete('po/{datapo}', [PurchaseOrderController::class, 'destroy'])->name('adminDestroyPo');
    Route::get('po/receive', [PurchaseOrderController::class, 'receive'])->name('adminReceivePo');
    Route::get('po/validate', [PurchaseOrderController::class, 'validae'])->name('adminValidatePo');
    Route::get('po/paid', [PurchaseOrderController::class, 'paid'])->name('adminPaidPo');
    Route::get('salesquotation/checkout', [SalesController::class, 'checkout'])->name('adminCheckoutSalesQuotation');

    //ROUTE SO
    Route::get('so', [SalesOrderController::class, 'index'])->name('adminIndexSo');
    Route::delete('so/{dataSo}', [SalesOrderController::class, 'destroy'])->name('adminDestroySo');
    Route::get('so/receive', [SalesOrderController::class, 'receive'])->name('adminReceiveSo');
    Route::get('so/validate', [SalesOrderController::class, 'validae'])->name('adminValidateSo');
    Route::get('so/paid', [SalesOrderController::class, 'paid'])->name('adminPaidSo');

    //ROUTE CUSTVOICE
    Route::get('custvoice', [CustvoicesController::class, 'index'])->name('adminIndexcustvoice');
    Route::delete('custvoice/{datacustvoice}', [CustvoicesController::class, 'destroy'])->name('adminDestroycustvoice');
    Route::get('custvoice/receive', [CustvoicesController::class, 'receive'])->name('adminReceivecustvoice');
    Route::get('custvoice/validate', [CustvoicesController::class, 'validae'])->name('adminValidatecustvoice');
    Route::get('custvoice/paid', [CustvoicesController::class, 'paid'])->name('adminPaidcustvoice');
    Route::get('salesquotation/checkout', [SalesController::class, 'checkout'])->name('adminCheckoutSalesQuotation');

    //ROUTE VENDBILL
    Route::get('vendbills', [VendbillsController::class, 'index'])->name('adminIndexvendbills');
    Route::delete('vendbills/{datavendbills}', [VendbillsController::class, 'destroy'])->name('adminDestroyvendbills');
    Route::get('vendbills/receive', [VendbillsController::class, 'receive'])->name('adminReceivevendbills');
    Route::get('vendbills/validate', [VendbillsController::class, 'validae'])->name('adminValidatevendbills');
    Route::get('vendbills/paid', [VendbillsController::class, 'paid'])->name('adminPaidvendbills');
    Route::get('salesquotation/checkout', [SalesController::class, 'checkout'])->name('adminCheckoutSalesQuotation');

});

// Route::get('/dashboard', function () {
//     return view('dashboard');
// })->middleware(['auth', 'verified'])->name('dashboard');

// Route::middleware('auth')->group(function () {
//     Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
//     Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
//     Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
// });

require __DIR__ . '/auth.php';